SDL_JoystickID(3type)

NAME
SDL_JoystickID - This is a unique ID for a joystick for the time it is connected to the system, and is never reused for the lifetime of the application.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

typedef Uint32 SDL_JoystickID;

DESCRIPTION
If the joystick is disconnected and reconnected, it will get a new ID.

The value 0 is an invalid ID.

AVAILABILITY
This datatype is available since SDL 3.2.0.